/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body {
  background-image: url('/images/assets/abulov0/background.png');
  background-repeat: repeat;
  color:#090866;
  font-family: Verdana;
}

.container {
  display: grid;
  grid-template-columns: 0.6fr 1.6fr 0.8fr;
  /*grid-template-rows: 0.5fr 1.5fr 1fr;*/
  grid-template-rows: 1fr 1fr 1fr;
  gap: 10px 10px;
  grid-auto-flow: row;
  grid-template-areas:
    "banner banner banner"
    "navigation welcome updates"
    "navigation todolist updates";

  
  border-width:7px;
  border-style:solid;
  border-image: url("/images/assets/abulov0/containerbg.png") 7 fill round;
  margin: auto;
  width: 1100px;
  height: 940px;
  position: relative;
  padding: 5px;
  z-index: 4;
}

.banner {
  grid-area: banner;
  border-width: 1px;
  border-style: solid;
  border-color: black;
  background-image: url("/images/assets/abulov0/header.png");
  background-size: cover;
  object-position: 50% 50%;
  z-index: 3;
  white-space: nowrap;
  overflow: hidden;
}

.navigation {
  grid-area: navigation;
  border-width: 1px;
  border-style: solid;
  border-color: black;
  background-color: white;
  padding: 2px;
  overflow: auto;
  text-align: left;
  z-index: 2;
  white-space: normal;
  overflow-x: hidden;
}


.welcome {
  grid-area: welcome;
  border-width: 1px;
  border-style: solid;
  border-color: black;
  background-color: white;
  z-index: 3;
  overflow-y: scroll;
  overflow-x: hidden;
  padding: 0px;
}

.welcome span {
    font-size: 8px;
}

.updates {
  grid-area: updates;
  border-width: 1px;
  border-style: solid;
  border-color: black;
  background-color: white;
  padding: 2px;
  overflow: auto;
  text-align: left;
  z-index: 2;
}


.todolist {
  grid-area: todolist;
  border-width: 1px;
  border-style: solid;
  border-color: black;
  background-color: white;
  z-index: 3;
  overflow-y: scroll;
  padding: 0px;
}